Pod::Elemental::Paragraph(3)

NAME
Pod::Elemental::Paragraph - a paragraph in a Pod document

VERSION
version 0.102362

OVERVIEW
This is probably the most important role in the Pod-Elemental distribution. Classes including this role represent paragraphs in a Pod document. The paragraph is the fundamental unit of dividing up Pod documents, so this is a often-included role.

ATTRIBUTES

  content
This is the textual content of the element, as in a Pod::Eventual event. In other words, this Pod:

  =head2 content

has a content of "content\n"

  start_line
This attribute, which may or may not be set, indicates the line in the source document where the element began.

METHODS

  as_pod_string
This returns the element as a string, suitable for turning elements back into a document. Some elements, like a "=over" command, will stringify to include extra content like a "=back" command. In the case of elements with children, this method will include the stringified children as well.

  as_debug_string
This method returns a string, like "as_string", but is meant for getting an overview of the document structure, and is not suitable for reproducing a document. Its exact output is likely to change over time.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.